"""drop metadata_valid column

Revision ID: 4324b87e0b3c
Revises: 2280fe551e60
Create Date: 2021-07-14 15:48:32.154022

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = "4324b87e0b3c"
down_revision = "2280fe551e60"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index("ix_metadata_metadata_valid", table_name="metadata")
    op.drop_index("index_station_metadata", table_name="metadata")
    op.create_index(
        "index_station_metadata",
        "metadata",
        [
            "network",
            "station",
            "channel",
            "location",
            "category",
            "starttime",
            "endtime",
            "data_valid",
            "status",
        ],
        unique=False,
    )
    op.drop_column("metadata", "metadata_valid")
    op.drop_column("metadata_history", "metadata_valid")
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "metadata_history",
        sa.Column(
            "metadata_valid",
            mysql.TINYINT(display_width=1),
            autoincrement=False,
            nullable=True,
        ),
    )
    op.add_column(
        "metadata",
        sa.Column(
            "metadata_valid",
            mysql.TINYINT(display_width=1),
            autoincrement=False,
            nullable=True,
        ),
    )
    op.drop_index("index_station_metadata", table_name="metadata")
    op.create_index(
        "index_station_metadata",
        "metadata",
        [
            "network",
            "station",
            "channel",
            "location",
            "category",
            "starttime",
            "endtime",
            "metadata_valid",
            "data_valid",
            "status",
        ],
        unique=False,
    )
    op.create_index(
        "ix_metadata_metadata_valid", "metadata", ["metadata_valid"], unique=False
    )
    # ### end Alembic commands ###
